com.jproxy.proxy.version = 1.1.030424
#
# Client-Server read-only property.
# JProxy Tunnel Version


# com.jproxy.proxy.tunnel.url =
#
# Client Property.
# Default - http://localhost/proxyservlet/servlet/proxyservlet
# A tunneling URL. The property is used to construct complete URL to access servlet.
# The property is default template for tunneling URL. During runtime JProxy constructs tunnel URL by merging fields from in following priority: Context.PROVIDER_URL("java.naming.provider.url"), com.jproxy.proxy.tunnel.url, ServletTunnel.DEFAULT_TUNNEL_URL.
# So for instance: if you set just IP in your env.put("java.naming.provider.url", "10.10.10.10"); it will construct URL in following order:
# It will check what fields missing in "java.naming.provider.url". Here it is protocol, port and path.
# Then it will try to obtain missing fields from proxy.properties "com.jproxy.proxy.tunnel.url".
# Then if still some fields are missing it takes them from ServletTunnel.DEFAULT_TUNNEL_URL = http://localhost/proxyservlet/servlet/proxyservlet.
# So you may set "com.jproxy.proxy.tunnel.url" to "https://localhost" or even jast "http://".
# Examples: http://myserver.com/proxyservlet/servlet/proxyservlet, https://myserver.com:8080/proxyservlet/servlet/proxyservlet, myserver.com:8080


# com.jproxy.proxy.initial =
#
# Client Property.
# Default value - System default
# Naming Context Factory Class for EJB Server.
# Usually you do not need to specify the property, because JProxy Server usually works in same JVM as Naming Service.
# Default value will be taken form System properties Context.INITIAL_CONTEXT_FACTORY.
# If JProxy Server and Application Server running on different machines the property has to be set.
# Here is some known Naming Context Factory classes for different servers:
# JBoss: org.jnp.interfaces.NamingContextFactory
# BEA WebLogic: weblogic.jndi.WLInitialContextFactory
# Orion: com.evermind.server.ApplicationClientInitialContextFactory, com.jproxy.proxy.providers.OrionNamingContextFactory
# Sun Ref.Impl.Server: com.sun.jndi.rmi.registry.RegistryContextFactory
# Sun JNDI CORBA COS Naming SPI: com.sun.jndi.cosnaming.CNCtxFactory

# com.jproxy.proxy.provider.url =
#
# Client Property.
# Default value - System default
# Naming Service URL for EJB Server
# Usually you do not need to specify the property, because JProxy Server usually works on same host as Naming Service.
# Here is some known URL patterns for different servers:
# JBoss: localhost
# BEA WebLogic: t3://localhost:7001
# Orion: ormi://localhost
# Sun Ref.Impl.Server: rmi://localhost:1099


com.jproxy.proxy.max.failover.attempts = 3
#
# Client Property.
# Default value - 3
# Maximim number of failover invocation attepts


# com.jproxy.proxy.socket.timeout = 0
#
# the property is available only for commercial release
#
# Client property.
# Default value - 0
# A socket timeout (milliseconds: 1/1000 sec). 0 - infinit


com.jproxy.proxy.callback.pending.time = 60000
#
# Client property.
# Default value - 60000 (60 sec)
# The max pending time (milliseconds: 1/1000 sec) for client's polling.
# The polling gets unblocked if there is a callback to the client.


# com.jproxy.proxy.use.jproxy.ssl.socket.factory = false
#
# Client property.
# Default = false
# A flag enabling JProxy SSLProxySocketFactory.
# The factory allows authentication with Proxy Servers and Timeouts for SSL.


com.jproxy.proxy.network.performance.threshold = 1000000
#
# the property is available only for commercial release
#
# Client property.
# Default value - 1000000
# Network Performance Threshold (bytes per second).
# JProxy Client measures network performance for each call.
# If detected performance is higher than specified threshold then data compression is disabled.
# A data compression is enabled otherwise.
# Server always uses compression if client request uses compression.
# To explicytly disable compression specify threshold = 0
# To explicytly enable compression specify threshold equal high value: for instance 1000000000
# The property com.jproxy.proxy.compression.enabled is not used any more.


#com.jproxy.proxy.compression.enabled = true
#
# the property is available only for commercial release
#
# Depricated. See com.jproxy.proxy.network.perfromance.threshold
# Client-Server property.
# Default value - false
# Flag enabling compression for data marshalling and unmarshalling


# com.jproxy.proxy.compiler.class.path=.
#
# Default value - "."
# Server property.
# A classpath for compiler used by stubgen for compiling stubs
# during dynamic stub generation (for JDKs earlier than 1.3)
# The parameter does not have to be set if all necessary libraries placed
# in directory specified in com.jproxy.proxy.lib.class.path parameter.
# The parameter is used to enable JProxy Client for web browsers that do not have
# Sun Java Plug-in 1.3 installed such as MS Internet Explorer that have its Microsoft JVM.


# com.jproxy.proxy.compiler.options=
#
# Default value - ""
# Server property.
# An options for javac compiler used by stubgen for compiling stubs
# during dynamic stub generation (for JDKs earlier than 1.3)
# The parameter is used to enable JProxy Client for web browsers that do not have
# Sun Java Plug-in 1.3 installed such as MS Internet Explorer that have its Microsoft JVM.


com.jproxy.proxy.lib.class.path = /jboss-3.2.0/server/default/deploy/appletsms.war
# JBoss2 com.jproxy.proxy.lib.class.path = /tomcat/webapps/appletsms
#
# Server property.
# Default value - "."
# A classpath for libraries for compiler used by stubgen for dynamic stub generation (for JDKs earlier than 1.3)
# Current value - /tomcat/webapps/appletsms. The value set only to enable online examples of the site.
# The parameter is used to enable JProxy Client for web browsers that do not have
# Sun Java Plug-in 1.3 installed such as MS Internet Explorer that have its Microsoft JVM.


com.jproxy.proxy.stubgen.class.path = /jboss-3.2.0/server/default/deploy/appletsms.war
# JBoss2 com.jproxy.proxy.stubgen.class.path = /tomcat/webapps/appletsms
#
# Server property.
# Default value - "/stubs"
# A classpath for proxies generated by dynamic stub generator (for JDKs earlier than 1.3).
# The stub generator uses the path to place generated stubs. The stubs must be accessible for JProxy Client during class downloading from code base specified in CODEBASE attribute in APPLET tag.
# Current value - /tomcat/webapps/appletsms.
# The value set only to enable online examples of the site.
# The parameter is used to enable JProxy Client for web browsers that do not have
# Sun Java Plug-in 1.3 installed such as MS Internet Explorer that have its Microsoft JVM.


# com.jproxy.proxy.tunnel.class = com.jproxy.proxy.servlet.ServletTunnel
#
# Client-Server property.
# Default value - com.jproxy.proxy.servlet.ServletTunnel
# A class name of tunnel class for synchronous communication implementing com.jproxy.proxy.Tunnel.
# The property may specify your own client-side implementation of tunneling.


# com.jproxy.proxy.callback.tunnel.class = com.jproxy.proxy.callback.CallbackTunnel
#
# Client-Server property.
# Default value - com.jproxy.proxy.callback.CallbackTunnel
# A class name of tunnel class for synchronous communication implementing com.jproxy.proxy.Tunnel.
# The parameter may specify your own client-side implementation of tunneling for asynchronous calls or callbacks.


com.jproxy.proxy.log.level = DEBUG
#
# Client-Server property.
# Default is INFORMATION
# A verbosity level of loggin: one of folowing: NONE,FATAL,ERROR,WARNING,INFORMATION,DEBUG or abbreviation: N,F,E,W,I,D.


# com.jproxy.proxy.log.class =
#
# Client-Server property.
# Default value - System.out
# A class used as output for log information. It inherited from PrintStream.
# If the property not specifyed then System.out is used.


com.jproxy.proxy.object.ttl = 300000
#
# Client-Server property.
# Default is 60000 (1 minute)
# object time-to-live (mills=1/1000 s) for remote objects on the tunnel server.
# If remote object nether gets called during the time it will be automatically collected. 0 - disable


# Deprecated property
# com.jproxy.proxy.object.destroy.enabled=true
#
# Client-Server property.
# Default value - false
# A flag enabling automatic object destruction by JProxy Garbage Collector (GC).
# If it is set to "false" then GC will still work to clean local resources but it will not destroy remote objects.


com.jproxy.proxy.remote.classes = java.rmi.Remote,javax.jms.ConnectionFactory,javax.jms.Connection,javax.jms.Session,javax.jms.MessageProducer,javax.jms.MessageConsumer,javax.jms.Message,javax.jms.Destination,javax.naming.Context,org.omg.CORBA.Object,com.jproxy.proxy.callback.CallbackServer
#
# Client-Server property.
# Default value -
#  java.rmi.Remote,javax.jms.ConnectionFactory,javax.jms.Connection,
#  javax.jms.Session,javax.jms.MessageProducer,javax.jms.MessageConsumer,
#  javax.jms.Message,javax.jms.Destination,javax.naming.Context,
#  org.omg.CORBA.Object,com.jproxy.proxy.callback.CallbackServer
# A list of classes.
# If result of remote call is instance of one of listed classes then JProxy creates remote stub for the result.


# com.jproxy.proxy.datastack.enabled = false
#
# Client-Server property.
# Default value - false
# A flag enabling remote call optimization.
# During this optimization, all calls that return void are sent as one request to the server.


# com.jproxy.proxy.server.response.min = 1500
#
# Depricated.
# Server property.
# Default value - 0
# A minimum length of server response.


# com.jproxy.proxy.tunnel.invocation.interceptor = com.jproxy.proxy.providers.JaasInvocationInterceptor
# com.jproxy.proxy.tunnel.invocation.interceptor = com.jproxy.proxy.providers.OrionInvocationInterceptor
#
# Client-Server property.
# Default = null
# InvocationInterceptor. If specifyed the interceptor is called on the JProxy server before each remote call.
# For JAAS (JBoss) the property must be set to: com.jproxy.proxy.providers.JaasInvocationInterceptor.
# Also for JBoss set property com.jproxy.proxy.jaas.configuration.name = client-login
# For Orion Server for EJB security: com.jproxy.proxy.providers.OrionInvocationInterceptor


# com.jproxy.proxy.jaas.configuration.name = client-login
#
# Server property.
# Default = others
# A JAAS Configuration name. Default value is "other". For JBoss must be "client-login".


# com.jproxy.proxy.native.exceptions.enabled = false
#
# Client property.
# Default value - false
# If true - all server exceptions are passed to the client side as is.
# In this case client must have classes representing serialized server exceptions.
# If false - JProxy Server analizes the exception being thrown and acts as follows:
# 1. If the class of the exception being thrown is the same as declared in the throw clause of an interface's method declaration
#    this exception is passed to the client as is.
# 2. If the class of the exception being thrown is inherited from a non-standard J2SE/J2EE exception class declared in
#    the throw clause of an interface's method declaration, then this exception is passed to the client as is.
# 3. If the class of the exception being thrown is inherited from a standard J2SE/J2EE exception class declared in
#    the throw clause of an interface's method declaration, but the thrown exception class by itself is a non-standard J2SE/J2EE
#	 exception class, then the standard J2SE/J2EE exception declared in the throw clause of an interface's method
#	 declaration is passed to the client.
# 4. If the class of the exception being thrown nor its parent class is declared in the throw clause of an interface's method
#    declaration then RuntimeException with the thrown exception's message is passed to the client.
#
#  Standard J2SE/J2EE exceptions are those defined in packages that start with "java",
#  "org.omg", "org.xml", "com.sun", "sun" and "org.w3c"
#
#  Non-standard J2SE/J2EE exceptions are exceptions that are not declared in the aforementioned packages.




